darcs-2.18.2: a distributed, interactive, smart revision control system

Copyright | 2003 David Roundy
License | GPL
Maintainer | darcs-devel@darcs.net
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Darcs.Util.Exec

Description

# Documentation

exec :: String -> [String] -> Redirects -> IO ExitCode #

execInteractive :: String -> Maybe String -> IO ExitCode #

readInteractiveProcess #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> IO (ExitCode, String) | exitcode, stderr

renderExecException :: ExecException -> String #

withoutNonBlock :: IO a -> IO a #

type Redirects = (Redirect, Redirect, Redirect) #

data Redirect #

Constructors

AsIs |
Null |
File FilePath |
Stdout |

#### Instances

Instances details

Show Redirect # |
Instance details Defined in Darcs.Util.Exec Methods showsPrec :: Int -> Redirect -> ShowS # show :: Redirect -> String # showList :: [Redirect] -> ShowS #

data ExecException #

Constructors

ExecException String [String] Redirects String |

#### Instances

Instances details

Exception ExecException # |
Instance details Defined in Darcs.Util.Exec Methods toException :: ExecException -> SomeException # fromException :: SomeException -> Maybe ExecException # displayException :: ExecException -> String #
Show ExecException # |
Instance details Defined in Darcs.Util.Exec Methods showsPrec :: Int -> ExecException -> ShowS # show :: ExecException -> String # showList :: [ExecException] -> ShowS #